# Download Access Log - DownloadWAFAccessLog

## Overview

Download Access Log






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DownloadWAFAccessLog`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **FullDomain** | string | Domain name for which logs are to be downloaded |**Yes**|
| **Date** | string | Date, in the format of yyyy-mm-dd |**Yes**|
| **LogType** | string | accessLog Access Log, attackLog Attack Log |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **URL** | array[string] | List of URLs for file downloads, one file provided every hour. |**Yes**|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=DownloadWAFAccessLog
&ProjectId=org-xxx
&FullDomain=www.test.com
&LogType=attackLog
&Date=2020-04-03
```

### Response Example
    
```json
{
  "Action": "DownloadWafAccessLogResponse",
  "RetCode": 0,
  "URL": [
    "http://uewaf.cn-bj.ufileos.com/*_8cname_com_20200403.accessLog.00.zip?Expires=1585985041\u0026Signature=CpiAddyTtFixYZynJ4KToFG3N3A%3D\u0026UCloudPublicKey=9uqRcyaNLuIhf1I4icUMsaiyB2HoWhs2zMaaGgYnV7dLb7m%2FsCP1JQ%3D%3D",
    "http://uewaf.cn-bj.ufileos.com/*_8cname_com_20200403.accessLog.14.zip?Expires=1585985041\u0026Signature=je3y7A%2Bjcs9eWKFvIE6k755pxcg%3D\u0026UCloudPublicKey=9uqRcyaNLuIhf1I4icUMsaiyB2HoWhs2zMaaGgYnV7dLb7m%2FsCP1JQ%3D%3D"
  ]
}
```





